> ## Documentation Index
> Fetch the complete documentation index at: https://docs.morphel.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Video

> Get a specific video by ID



## OpenAPI

````yaml GET /v1/videos/{video_id}
openapi: 3.1.0
info:
  title: Morphel API
  description: API for Morphel's video generation service
  version: 0.1.1
servers:
  - url: https://api.morphel.com
security: []
paths:
  /v1/videos/{video_id}:
    get:
      tags:
        - videos-v1
      summary: Get Video By Id
      description: Get a specific video by ID
      operationId: get_video_by_id_v1_videos__video_id__get
      parameters:
        - name: video_id
          in: path
          required: true
          schema:
            type: string
            title: Video Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/VideoResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    VideoResponse:
      properties:
        video_id:
          type: string
          title: Video Id
        status:
          type: string
          title: Status
        video_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Video Url
        thumbnail_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Thumbnail Url
        duration_seconds:
          anyOf:
            - type: number
            - type: 'null'
          title: Duration Seconds
        error:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Error
      type: object
      required:
        - video_id
        - status
      title: VideoResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````